summaryrefslogtreecommitdiff
path: root/build_manaplus.sh
diff options
context:
space:
mode:
Diffstat (limited to 'build_manaplus.sh')
-rw-r--r--build_manaplus.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/build_manaplus.sh b/build_manaplus.sh
new file mode 100644
index 0000000..1e3b802
--- /dev/null
+++ b/build_manaplus.sh
@@ -0,0 +1,17 @@
+#!/usr/bin/env bash
+
+# NOTE: please change me!
+
+
+# v change this in client repo laterâ„¢
+
+cp /manaplus/tools/ci/scripts/winvars.sh manaplus/build/
+cd /manaplus/
+git apply ../manaplus.patch
+cd /manaplus/build/
+# ^ change this in client repo laterâ„¢
+./winmake || exit 1
+/mxe/tools/copydlldeps.py -C/manaplus/build/tmp/src -L/mxe/usr/i686-w64-mingw32.shared/bin/ /libs/dll/ || true
+./packwin || exit 1
+cp -r /manaplus/packaging/windows/manaplus-*.exe /build/ || exit 1
+